package com.palmnest.model.repair;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "tb_repair_config")
public class RepairConfig implements Serializable {


	/**
	 *
	 */
	private static final long serialVersionUID = 5640668714795662369L;

	private Long    id;
	private Integer org_id;
	private Integer max_bills;
	private Integer repair_type; //1-抢单模式 2-派单模式
	private Byte    ispersons;
	private Byte    ispay;
	private Date    create_time;
	private Long    create_user_id;
	private Date    update_time;
	private Long    update_user_id;
	private Integer checkFloor;

	private Integer supportReport;

	private Integer isCompleteDesc;     //完成描述 1-选填 2-必填 3-不展示
	private Integer isCompletePhoto;	  //完成照片 1-选填 2-必填 3-不展示
	private Integer isDeliveryConfirm;  //派单确认 0-关闭 1-开启

	public Integer getOrg_id() {
		return org_id;
	}

	public void setOrg_id(Integer org_id) {
		this.org_id = org_id;
	}

	public Integer getMax_bills() {
		return max_bills;
	}

	public void setMax_bills(Integer max_bills) {
		this.max_bills = max_bills;
	}

	public Integer getRepair_type() {
		return repair_type;
	}

	public void setRepair_type(Integer repair_type) {
		this.repair_type = repair_type;
	}

	public Byte getIspersons() {
		return ispersons;
	}

	public void setIspersons(Byte ispersons) {
		this.ispersons = ispersons;
	}

	public Byte getIspay() {
		return ispay;
	}

	public void setIspay(Byte ispay) {
		this.ispay = ispay;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	public Long getCreate_user_id() {
		return create_user_id;
	}

	public void setCreate_user_id(Long create_user_id) {
		this.create_user_id = create_user_id;
	}

	public Date getUpdate_time() {
		return update_time;
	}

	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	public Long getUpdate_user_id() {
		return update_user_id;
	}

	public void setUpdate_user_id(Long update_user_id) {
		this.update_user_id = update_user_id;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "id", unique = true, nullable = false)
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	@Column(name = "check_floor")
	public Integer getCheckFloor() {
		return checkFloor;
	}

	public void setCheckFloor(Integer checkFloor) {
		this.checkFloor = checkFloor;
	}
	@Column(name = "support_report")
	public Integer getSupportReport() {
		return supportReport;
	}

	public void setSupportReport(Integer supportReport) {
		this.supportReport = supportReport;
	}


	@Column(name = "is_complete_desc")
	public Integer getIsCompleteDesc() {
		return isCompleteDesc;
	}

	public void setIsCompleteDesc(Integer isCompleteDesc) {
		this.isCompleteDesc = isCompleteDesc;
	}
	@Column(name = "is_complete_photo")
	public Integer getIsCompletePhoto() {
		return isCompletePhoto;
	}

	public void setIsCompletePhoto(Integer isCompletePhoto) {
		this.isCompletePhoto = isCompletePhoto;
	}

	@Column(name = "is_delivery_confirm")
	public Integer getIsDeliveryConfirm() {
		return isDeliveryConfirm;
	}

	public void setIsDeliveryConfirm(Integer isDeliveryConfirm) {
		this.isDeliveryConfirm = isDeliveryConfirm;
	}
}
